Skip to navigation
CallbacksAPI callbacks

API callbacks

For the Data Streamer integration, an API callback object should be included in the request body.

The properties of the API callback are as follows:

NameTypeDescription
idInteger (required)Numerical ID of the callback, an existing API callback may be reused based on this id and other properties are then optional
urlString (required)Callback URL
organisation_idStringNumerical ID of the organization that created the API callback
purposeStringA description of the use of the api_callback object

Example

The following example request body creates a REST API type data stream.

POST https://cdn.emnify.net/api/v1/data_stream

{
"stream_historic_data": 0,
"data_stream_type": {
"description": "Events",
"id": 2
},
"api_type": {
"description": "RestAPI",
"id": 1,
},
"api_callback": {
"organisation_id": "1337",
"url": "https://my-application-server.com/callback",
"purpose": "Adding Alerts for failed auth attempts.",
"id": 196,
}
}